Bug 1031574 - network disconnected icon appears beside wired icon when on vpn
network disconnected icon appears beside wired icon when on vpn
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 05:25 EST by zachw
Modified: 2014-01-19 22:09 EST (History)
6 users (show)

See Also:
Fixed In Version: NetworkManager-0.9.9.0-25.git20131003.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-19 22:09:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot, disconnected icon is in top right, but network is connected. (223.57 KB, image/png)
2013-11-18 05:25 EST, zachw
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 708771 None None None Never

  None (edit)
Description zachw 2013-11-18 05:25:11 EST
Created attachment 825491 [details]
Screenshot, disconnected icon is in top right, but network is connected.

Description of problem:
Giving Fedora 20 beta a try, upgraded from F19 via fedup.

Connected to the internet via wifi, when I enable a VPN the wifi icon disappears and is replaced by the no-network icon and the lock network icon. I think only the lock network icon should be there (that's how it looked in F19).

Screenshot attached. 

Version-Release number of selected component (if applicable):
Fedora 20 beta
gnome-shell-3.10.2-1.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. 
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 zachw 2013-11-26 08:24:11 EST
I think this is a problem in NetworkManager. By sprinkling log messages in gnome-shell js/ui/status/network.js, I can see when VPN is on this._mainConnection is NULL causing _updateIcon to do use icon network-offline-symbolic. _mainConnection comes from _getMainConnection calling NMClient get_primary_connection() and get_activating_connection(). Checking these properties of NetworkManager via D-Feet they are NULL. Turning VPN off, NetworkManager PrimaryConnection becomes non-NULL.

NetworkManager-0.9.9.0-19.git20131003.fc20.x86_64
NetworkManager-glib-0.9.9.0-19.git20131003.fc20.x86_64
NetworkManager-vpnc-0.9.8.2-2.fc20.x86_64
Comment 3 Dan Winship 2014-01-18 11:30:42 EST
doh, this has been fixed for months, we just forgot to add the patch to F20
Comment 4 Fedora Update System 2014-01-18 11:51:17 EST
NetworkManager-0.9.9.0-25.git20131003.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.9.0-25.git20131003.fc20
Comment 5 Fedora Update System 2014-01-18 23:04:00 EST
Package NetworkManager-0.9.9.0-25.git20131003.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.9.9.0-25.git20131003.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1112/NetworkManager-0.9.9.0-25.git20131003.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-01-19 22:09:21 EST
NetworkManager-0.9.9.0-25.git20131003.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.